body, html, div.scrollable, div.map, div.app {
    background-color: #fff;
}

div.map {
    color: #fff;
}

.multiSelect .checkBoxContainer {
    max-height: 300px;
    overflow-y: scroll;
}

@media(max-width: 635px) {
    .navbar-buttron {
        display: none;
    }
    .header-title {
      font-size: 4.5vmin;
      padding: 10px;
      display: inline-block;
    }
}

.picker__weekday {
  padding-left: 25px;
}

.navbar-app .btn-primary {
  color: #ffffff;
  background-color: #007aff;
  border-color: #006ee6;
}

.navbar-app .btn-primary:hover,
.navbar-app .btn-primary:focus,
.navbar-app .btn-primary:active,
.navbar-app .btn-primary.active {
  color: #ffffff;
  background-color: #0062cc;
  border-color: #0051a8;
}

.navbar-app .btn-primary:active,
.navbar-app .btn-primary.active {
  background-image: none;
}

.navbar-app .btn-primary.disabled,
.navbar-app .btn-primary[disabled],
.navbar-app .btn-primary.disabled:focus,
.navbar-app .btn-primary[disabled]:focus,
.navbar-app .btn-primary.disabled:active,
.navbar-app .btn-primary[disabled]:active,
.navbar-app .btn-primary.disabled.active,
.navbar-app .btn-primary[disabled].active{
  background-color: #007aff;
  border-color: #006ee6;
}

.navbar-app .btn-primary .badge {
  color: #007aff;
  background-color: #ffffff;
}

.sidebar {
    background-color: #fff;
}
.panel-title {
    color : #007aff;
}

.map {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
}



.options .switch {
    display: inline-block;
    float: right;
}

.options .form-group {
    padding: 10px 10px;
}

.options label {
    height: 40px;
      vertical-align: middle;
}

.close-sidebar-left, .close-sidebar-right {
    height: 50px;
}

.edit textarea {
    width: 100%;
}

.filter table {
    width: 100%;
    border-spacing: 0 10px;
      border-collapse: separate;
}

.filter table tr .middle-col {
    width: 80px;
}

.filter table tr .middle-col select {
    padding-right: 0px;
}

.filter table td {
  padding-left: 5px;
  padding-right: 5px;
}

.filter select {
    margin: 0px 5px;
    display: inline-block;
    padding-right: 0px !important;
}

.filter .add-filter {
    width: 40px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 15px;
}

.filter .parameters input {
    padding: 0px;
}

.filter-group .btn-group {
    width : 100%;
}

.filter-group .parameters a , .filter-group .parameters input , .filter .parameters span {
    float: left;
    margin: 0px 5px;
    padding: 0px;
}

.filter .operation {
    display: block;
      margin-top: 20px;
      margin-left: 85px;
}

.filter .operand {
      width: 60px;
      padding: 0px;
}

.filter .button {
    cursor: pointer;
    color: #007aff;
}

.edit {
    overflow: auto;
}

.edit .inline-block {
    display: inline-block;
}

.edit .short {
    width : 140px;
    padding-right: 0px !important;
    display: inline-block;
    margin-right: 20px;
}

.very-short {
    width: 110px;
    padding-right: 0px !important;
    display: inline-block;
}

.edit label {
    display: block;
}

.table thead tr th, .table tbody tr td {
    vertical-align: middle !important;
     padding-left: 5px;
     padding-right: 5px;
}

.table thead tr th
{
    border: 1px solid #ddd;
    border-bottom: 3px solid #ddd;
    font-weight: normal;
}

.table tbody tr td
{
     border: 1px solid #ddd;
}

.table .action-col {
    width: 140px;
    padding: 5px;
}

.table .action-col button{
    width: 40px;
      margin-top: 2px;
}

.selected {
  background-color: #007aff;
  color: #fff;
}

@media(min-width: 520px){
    .header-title {
          font-size: 20px;
          padding: 10px;
          display: inline-block;
    }
}

.menu-override.dropdown-menu {
    right: 0;
     width: 200px;
      left: auto;
}

.menu-override.dropdown-menu div a {
    padding-left: 0px;
}

.menu-override.dropdown-menu-btn {
    display: inline-block;
    float: right;
    padding-top: 12px;
    padding-right: 15px;
    line-height: 0px;
}

.scrollable-y {
    overflow-y: auto;
}

.login-form {
    margin-left: auto;
    margin-right: auto;
    width: 390px;
    margin-top: 100px;
    min-height: 400px;
}

.login-form img {
    padding-bottom: 10px;
    padding-right: 15px;
}

.login-form .btn { 
    text-transform: uppercase;
    width: 100%;
    margin-top: 20px;
}

.sidebar-right .section {
    padding-left: 0px;
    padding-right: 0px;
}

@media (min-width: 1200px) {
    .has-sidebar-left .app {
        margin-left: 0;
    }
    .sidebar-left-in .app {
        margin-left: 320px;
    }
    
    .sidebar-toggle {
         display: inline-block;
    }
    
    .sidebar-right .section label {
      height: 15px;
    }
}

@media (min-width: 992px) {
    .has-sidebar-left .app {
        margin-left: 0;
    }
    .sidebar-left-in .app {
        margin-left: 320px;
    }
    
    .sidebar-right .section label {
        height: 15px;
    }
    
    .sidebar-right .section .switch {
        width: 54px;
        height: 20px;
    }
    
    .sidebar-right .section .switch-handle {
        width: 20px;
        height: 20px;
    }
}

.stopselect{
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.nowrap {
    white-space: nowrap;
}

.new-note {
    margin-top: 10px;
}

.note {
    overflow: auto;
}

.note span {
    font-weight: bold;
}

.hightlight {
    color : #0051a8;
}

.esriPopup .titlePane {
    background-color: #007aff;
}
.esriPopup .titleButton.close {
    opacity: 1;
}

.info-widget-table tr td {
    padding: 4px;
}

.info-widget-table tr td:first-child {
    text-align: right;
}


.esriPopup .titleButton.maximize {
    display: none;
}

#duplicateHead {
    position: fixed;
    left: 1px;
    display: none;
    background-color:white;
}

.table-cell {
    background-color: white;
}

.ordered-column {
    background-color: #E8F0F1;
    background: #E8F0F1;
}

.fat-row {
    margin-bottom: 5px;
}

.remove-filter-button {
    margin-top: 3px;
    float: right;
}

.remove-filter-button > div {
    float: right;
}

button.btn.btn-primary {
    background-color: #007aff;
}

button.btn.btn-primary:hover {
    background-color : #0062cc;
}

div.note-buttons {
    text-align: right;
}

div.note-buttons > button {
    width: 24px;
}

div.kpo-info-dialog-buttons {
    text-align: center;
}

div.kpo-info-dialog-buttons > div.btn-group > button {
    width: 45px;
}

div.directive-document {
    min-height: 110px;
    position: relative;
    cursor: pointer;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -kthtml-transition: all 0.3s;
    transition: all 0.3s;
    display: block;
    text-decoration: none;
}

div.directive-document-file-name {
    text-align: center;
    padding-top: 5px;
}

div.directive-document-icon {
    text-align: center;
    padding-top: 10px;
}

div.directive-document-file-name > span {
    word-break: break-all;
    display: block;
}
div.directive-document {
    margin-bottom: 10px;
}

div.directive-document:hover {
    border-radius: 10px;
    -webkit-box-shadow: 0px 0px 10px 0px rgba(0,122,255,1);
    -moz-box-shadow: 0px 0px 10px 0px rgba(0,122,255,1);
    box-shadow: 0px 0px 10px 0px rgba(0,122,255,1);
}

document {
    display: inline-block;
}

@media(max-width: 767px) {
    .custom-small {
        width: 50%;
    }
}

@media(max-width: 400px) {
    .custom-small {
        width: 100%;
    }
}

.document-container {
    display: inline-flex;
    flex-wrap: wrap;
    width: 100%;
}

.document-drop-box {
    border: 4px solid #007aff;
    min-height: 110px;
    cursor: pointer;
    display: inline-block;
    vertical-align: top;
    overflow-y: hidden;
    overflow-x: hidden;
    position: relative;
    padding: 0px;
}

.document-drop-box:hover, .document-drop-box.dragover {
    background-color:#fff;
    border:4px dashed 	#4169E1;
}

.document-drop-box.dragover-err {
    border:3px dashed 	red;
}

.document-add-file {
    text-align: center;
    color: #007aff;
    display: table;
    vertical-align: middle;
    width: 100%;
    height: 17vh;
}

.document-drop-box-text {
    vertical-align: middle;
    white-space: normal;
    text-align: center;
    padding-left: 15px;
    padding-right: 15px;
    display: table-cell;
}



.directive-document-remove-icon {
    position: absolute;
    right: 4px;
    top: 2px;
    color: rgba(255, 0, 0, 0);
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -kthtml-transition: all 0.3s;
    transition: all 0.3s;
}

div.directive-document:hover > .directive-document-remove-icon {
    color: rgba(255, 0, 0, 1);
}

div.directive-document:hover > .directive-document-remove-icon:hover {
    color: darkred;
}

a.directive-document-link {
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -kthtml-transition: all 0.3s;
    transition: all 0.3s;
    text-decoration: none;
    color: #007aff;
}

div.modal-dialog {
    margin: 0;
    padding: 10px;
    min-height: 100%;
}

textarea.form-control.edit-note,
select.select-note-type {
    -webkit-transition: none;
    -o-transition: none;
    -moz-transition: none;
    -ms-transition: none;
    -kthtml-transition: none;
    transition: none;
}

select.select-note-type {
    width: auto;
    display: inline-block;
}

div.info-dialog {
    max-width: 550px;
    margin-left: auto;
    margin-right: auto;
    margin-top: auto;
    margin-bottom: auto;
}

div.info-dialog > form > div.modal-body {
    overflow: auto;
    max-height: 400px;
    max-height: 75vh;
}

table.info-table {
    width: 100%;
}


table.info-table > tbody > tr {
    border-bottom: 1px solid #CCC;
}

button.btn.btn-no-records {
    background-color: #999;
    border-color: #888;
    opacity: 1;
}

button.btn.btn-no-records:hover {
    background-color: #777;
}

.btn-collapse-hide {
    display: inline-block;
    display: initial;
}

.btn-collapse-show {
    display: none;
}

@media(max-width: 830px) {
    .menu-override.btn-collapse-hide {
        display: none;
    }
    
    .btn-collapse-show {
        display: inline-block;
        display: initial;
    }

    .floating-menu-input {
        display: block;
    }
}

.table-row {
    cursor : pointer;
    height:auto;
}

.warnRow {
    background-color:rgba(255, 153, 0, 0.7);
    cursor:pointer;
    height:auto;
}

.critRow {
    background-color:rgba(255, 0, 0, 0.5);
    cursor:pointer;
    height:auto;
}

.warnRow:hover {
    background-color:rgba(255, 153, 0, 0.7);
    background: rgba(255, 153, 0, 0.9);
}

.critRow:hover {
    background-color:rgba(255, 0, 0, 0.5);
    background: rgba(255, 0, 0, 0.7);
}

.table-row:hover  {
  background-color: #E8F0F1;
  background: #E8F0F1;
}

.additional-info-tab,
.additional-info-tab #image-display,
.additional-info-tab .gallery-side-button-next,
.additional-info-tab .gallery-side-button-prev {
    min-height: 250px;
}

.status_buttons {
    margin-left:5px;
}

.status_control {
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    padding: 6px 12px;
    background-color: #fff;
    background-image: none;
    border-radius: 4px;
    border: 1px solid #ccc;
    border-color: #3c763d;
}

.custom_height {
    height: 800px;
}

.issprendimo-data-block {
    display: inline-block;
}

.isspendimo-data-button {
    margin-left: 5px;
    width: 100px;
}

.aprasymas-text-button {
    margin-left: 5px;
    margin-bottom: 5px;
}

.center-checkbox {
    text-align: center;
}

.checkbox-size {
    height: 20px;
    width: 20px;
}

.ngdialog-message textarea {
    max-width: 100%;
}

.action-success {
    font-weight: bold;
    color: #009900;
}

.action-fail {
    font-weight: bold;
    color: #BB0000;
}

/* -------------------- VALIDATION -------------------- */
.input-error-messages {
	color: #F25657;
	font-weight: bold;
	margin-bottom:15px;
}

.has-error .control-label {
	color:#F25657;
}

.form-group-special {
	margin-bottom:0px;
}

.has-error .form-control {
    border-color: #F25657;
}

.datatable-head th.table-cell {
    color: #fff;
    background-color: lightslategray;
}

.edit-coords-error-message {
    color: red;
    position: fixed;
}

.distance-to-road {
    color: gray;
    position: fixed; 
}

.edit .alert {
    margin-bottom: 0px;
}

.float-left {
    float: left;
}

.search-input {
    padding-top: 9px;
}

.clear-both {
    clear: both;
}

.search-input::after {
    content: '\f002';
    position: absolute;
    display: inline-block;
    font: 14px/1 FontAwesome;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    right: 30px;
    top: 17px;
    font-size: 18px;
    color: #a9a9a9;
}

.search-input, .floating-menu-input {
    position: relative;
}

.floating-menu-input::after {
    content: '\f002';
    position: absolute;
    display: inline-block;
    font: 14px/1 FontAwesome;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    right: 12px;
    top: 8px;
    font-size: 18px;
    color: #a9a9a9;
}

.floating-menu-input > input {
    margin: 0 6px;
    width: 187px;
}
.search-input > input, .floating-menu-input > input {
    padding-right: 27px;
}
.panel-heading {
    cursor: pointer;
}
/* measurement data */
#measurement-preloader {
    position: absolute;
    opacity: 0.5;
    width: 100%;
    height: 100%;
    background: lightgray;
}
#measurement-preloader img {
    margin: 100% auto;
    display: block;
}
.road-measurement-navigation button {
    width: 100%;
    height: 20px;
}
.road-measurement-navigation button i {
    top: -7px;
    position: relative;
}
.measurement-data {
    padding: 4px;
}
#measurements-select-container {
    width: 100%;
    padding-bottom: 5px;
}
#measurements-select-container select {
    cursor: pointer;
}
#measurement-data-image {
    cursor: pointer;
    max-width: 100%;
}
/* end measurement data */

.blocking-dialog-success {
    font-weight: bold;
    color: green;
}

.blocking-dialog-fail {
    font-weight: bold;
    color: red;
}


.glyphicon {
    display: inline-block;
    font: 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.glyphicon-chevron-right:before {
    content: "\f054";
}

.glyphicon-chevron-left:before {
    content: "\f053";
}

.glyphicon-chevron-up:before {
    content: "\f077";
}

.glyphicon-chevron-down:before {
    content: "\f078";
}

table.uib-timepicker input.form-control {
    padding: 5px;
}

table.uib-timepicker .uib-increment > a,
table.uib-timepicker .uib-decrement > a {
    padding: 1px;
}

table.uib-timepicker .uib-time {
    padding: 2px 1px;
}

.short-date {
    width: 185px;
}

.short-date > input.form-control {
    padding: 6px 12px;
}

.ngdialog .ngdialog-button.ngdialog-preloader-container {
    padding: 0;
}

.ngdialog .ngdialog-button.ngdialog-preloader-container > img {
    height: 32px;
}

.custom-radio-button {
    cursor: pointer;
}

.custom-radio-button > input[type="radio"] {
    display: none;
}

.custom-radio-button > input[type="radio"] + span {
    display: inline-block;
    width: 18px;
    height: 18px;
    vertical-align: middle;
    background: url('../img/radio_button_unchecked.svg');
    background-size: 17px;
    background-repeat: no-repeat;
    margin-right: 6px;
    cursor: pointer;
}

.custom-radio-button > input[type="radio"]:checked + span {
    display: inline-block;
    width: 18px;
    height: 18px;
    vertical-align: middle;
    background: url('../img/radio_button_checked.svg');
    background-size: 17px;
    background-repeat: no-repeat;
    margin-right: 6px;
    cursor: pointer;
}

.custom-radio-button span {
    font-weight: normal;
}

.inline-radio {
    display: inline-block;
    padding-left: 0px;
    padding-top: 5px;
}

.inline-radio .custom-radio-button {
    display: inline-block;
    margin-right: 20px;
}

img {
    max-width: initial;
}

.custom-multiselect {
  margin: -7px 0px;
  display: inline-block;
  width: calc(100% + 37px);
}

.select-toggle {
  cursor: pointer;
  background: white;
  display: flex;
  justify-content: space-between;
  height: 30px;
  align-items: center;
  border-radius: 4px;
}

.multi-dropdown-menu {
  position: absolute;
  top: 100%;
  left: 16px;
  right: 0;
  background: white;
  border: 1px solid #ccc;
  border-top: none;
  max-height: 200px;
  overflow-y: auto;
  width: calc(100% - 24px);
}

.option {
  padding: 8px;
  cursor: pointer;
}

.option:hover {
  background: #f5f5f5;
}

.option input[type="checkbox"] {
  margin-right: 8px;
  margin-top: 3px;
}

.select-arrow-wrapper {
  position: relative;
  width: 10px;
  margin-left: 4px;
}